import { jsx } from "react/jsx-runtime";
import { TokenLAKE as TokenLAKE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenLAKE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "LAKE", "data-name": "TokenLAKE", ...props, children: /* @__PURE__ */ jsx(TokenLAKE$1, { variant }) });
  }
);
TokenLAKE.displayName = "TokenLAKE";
Object.assign(TokenLAKE, { isGdsIcon: true });
export {
  TokenLAKE
};
